From 248da5328eb781f33e9a7f5de4bbd1edadc1b4cc Mon Sep 17 00:00:00 2001
From: Lass Safin <las@protonmail.ch>
Date: Mon, 4 Mar 2019 20:27:51 +0100
Subject: [PATCH v4 1/5] Don't use ZeroBits argument of NtAllocateVirtualMemory
 in COMMDLG file dialogs

The argument was mistakenly assumed to be the alignment of
the allocated address, when it is in fact the number of upper bits
that should be zero, effectively declaring the pointer size (0 being native,
1 being 31 bits, 2 being 30, etc.).

It is not clear why an alignment of 2^12 was needed in the first place,
so the alignment requirement is completely removed.

Signed-off-by: Lass Safin <las@protonmail.ch>
---
 dlls/commdlg.dll16/filedlg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dlls/commdlg.dll16/filedlg.c b/dlls/commdlg.dll16/filedlg.c
index 99da47a229..6194b30038 100644
--- a/dlls/commdlg.dll16/filedlg.c
+++ b/dlls/commdlg.dll16/filedlg.c
@@ -511,7 +511,7 @@ static LPOFNHOOKPROC alloc_hook( LPOFNHOOKPROC16 hook16 )
     SIZE_T size = 0x1000;
     unsigned int i;
 
-    if (!hooks && NtAllocateVirtualMemory( GetCurrentProcess(), (void **)&hooks, 12, &size,
+    if (!hooks && NtAllocateVirtualMemory( GetCurrentProcess(), (void **)&hooks, 0, &size,
                                            MEM_COMMIT, PAGE_EXECUTE_READWRITE ))
         return NULL;
 
-- 
2.19.2

